Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 600919 - glitch on how gnome is handling the .desktop links
glitch on how gnome is handling the .desktop links
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-06 13:38 EDT by Manuel L. Gonzalez-Garay
Modified: 2015-03-03 17:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:39:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Manuel L. Gonzalez-Garay 2010-06-06 13:38:20 EDT
Description of problem:
I just updated from fedora 12 to fedora13. The preupgrade did a wonderful job. 
Now that I am exploring the new features of fedora13 the first thing that I noticed is that all my links to websites are not associated with my preferred application and I don't see any way to associate them with my web browser.
The .desktop links are small files that are created by firefox or chrome when you drag and drop a link from the url. 

Here is an example of a link to linux journal linuxj.desktop

[Desktop Entry]
Encoding=UTF-8
Name=Link to linuxJ
Type=Link
URL=http://www.linuxjournal.com/
Icon=gnome-fs-bookmark




Version-Release number of selected component (if applicable):
I have been using this features for all the previous releases of fedora.
Fedora 13 is the first release that do not recognize the .desktop extension

How reproducible:
I have upgraded two machines from fedora 12 to fedora 13 and I have noticed the same problem

Steps to Reproduce:
1. Drag and drop a url from fedora or chrome to the Desktop
2. The file lacks of any icons and if you try to open the link do not open.

  
Actual results:
The file is not recognized 

Expected results:
open the file with my preferred application

Additional info:
Comment 1 Bill Nottingham 2010-06-07 18:05:43 EDT
Reassigning to a more-correct component.
Comment 2 Jesse Keating 2010-06-07 18:25:38 EDT
Pass the bug!
Comment 3 Bug Zapper 2011-06-02 07:49:40 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 13:39:21 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.